/*
 * This code is demonstration code created by Mitchel Sellers                   
 * (mitchel.sellers@gmail.com).  It is provided as a training tool only and does
 * not come with a guarantee expressed nor implied.  You may freely utilize     
 * portions of the code provided here, however if this code is passed on in this
 * exact form this notice should be left at the top of all code files.
 * 
 * If you have any questions regarding this code please feel free to contact me 
 * at the email address listed above
 *
 */

using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Text.RegularExpressions;
using Microsoft.SqlServer.Server;

public partial class UserDefinedFunctions
{
    [Microsoft.SqlServer.Server.SqlFunction]
    public static bool ValidateZip(string input)
    {
        //Declare our expression
        string expression = @"^\d{5}(-\d{4})?$";

        //Test the input and return the result
        return Regex.IsMatch(input, expression);
    }
};

